Name: sugar-read
Version: 79
Release: 1%{?dist}
Summary: A document reader for Sugar
Group: Sugar/Activities
License: GPLv2+
URL: http://wiki.laptop.org/go/Read
Source0: http://people.sugarlabs.org/lucian/Read-%{version}.xo
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: python
BuildRequires: sugar-toolkit
BuildRequires: gettext

Requires: gnome-python2-evince
Requires: pywebkitgtk
Requires: python-lxml
Requires: python-BeautifulSoup

BuildArch: noarch

%description
The Read activity allows the laptop to act as a book reader. It has a
simple interface, and will view many kinds of text and image-based book-
like materials. It will have particular strengths in handheld mode, with
extremely low power consumption and simple navigation controls.

Read can read PDF files, single-page TIFF files, and also read DJVU files.

%prep
%setup -q -n Read.activity

%build
python ./setup.py build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{sugaractivitydir}
./setup.py install --prefix=$RPM_BUILD_ROOT/%{_prefix}

%find_lang org.laptop.sugar.ReadActivity

%clean
rm -rf $RPM_BUILD_ROOT

%files -f org.laptop.sugar.ReadActivity.lang
%defattr(-,root,root,-)
%doc COPYING AUTHORS
%{sugaractivitydir}/Read.activity/


%changelog
* Wed Jul 21 2010 Sebastian Dziallas <sebastian@when.com> - 79-1
- New upstream release fixing issues on F13

* Wed Dec 23 2009 Sebastian Dziallas <sebastian@when.com> - 78-1
- New upstream release

* Sun Oct 11 2009 Sebastian Dziallas <sebastian@when.com> - 76-1
- Fix pagination for IA Epubs
- Updated Vietnamese translations

* Sun Sep 27 2009 Sebastian Dziallas <sebastian@when.com> - 75-1
- Fix search in Epub files (dslo #1319)
- Updated translations for German, Mongolian and Portuguese

* Sat Sep 12 2009 Simon Schampijer <simon@schampijer.de> - 73-1
- New toolbars
- Support for Epub files
- Support for notes associated with bookmarks
- Show a information bar in fullscreen mode, with pagecount and battery information

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 66-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Apr 06 2009 Simon Schampijer <simon@schampijer.de> - 66-1
- Support evince binding w/o document_links support #703
- Update translations

* Fri Mar 06 2009 Simon Schampijer <simon@schampijer.de> - 65-2
- make dependency only on gnome-python2-evince to not drag in 
  all gnome-python

* Wed Mar 04 2009 Simon Schampijer <simon@schampijer.de> - 65-1
- Initial packaging
